org.apache.fontbox.ttf.table.gsub

## Class LigatureSetTable

- java.lang.Object
- - org.apache.fontbox.ttf.table.gsub.LigatureSetTable

    public class LigatureSetTable
    extends Object

This class is a part of the GSUB — Glyph Substitution Table system of tables in the Open Type Font specs. This is a part of the LookupType 4: Ligature Substitution Subtable. It specifically models the LigatureSet table: All ligatures beginning with the same glyph.

Author:
  Palash Ray

### Constructor Summary

Constructors
Constructor and Description
`LigatureSetTable(int ligatureCount, LigatureTable[] ligatureTables)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getLigatureCount()`
`LigatureTable[]` `getLigatureTables()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LigatureSetTable

    public LigatureSetTable(int ligatureCount,
                            LigatureTable[] ligatureTables)

### Method Detail

#### getLigatureCount

    public int getLigatureCount()

#### getLigatureTables

    public LigatureTable[] getLigatureTables()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`